## kgraphviewer 25.08.2+p24.04+vunstable+git20251020.1247

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "11")
set (RELEASE_SERVICE_VERSION_MICRO "70")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KGRAPHVIEWER_BASE_VERSION once new features are added
set(KGRAPHVIEWER_BASE_VERSION "2.5")
set(KGRAPHVIEWER_VERSION "${KGRAPHVIEWER_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(kgraphviewer VERSION ${KGRAPHVIEWER_VERSION})
set(KGRAPHVIEWERLIB_SOVERSION 0)

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(CMakePackageConfigHelpers)
include(KDEClangFormat)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)

# search basic libraries first
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    DBus
    Widgets
    Svg
    PrintSupport
    Core5Compat
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    Parts
    WidgetsAddons
)

find_package(KF6DocTools ${KF_MIN_VERSION})

find_package(Boost 1.36 REQUIRED)
find_package(Graphviz 2.30.0 REQUIRED)

find_package(DOT)
set_package_properties(DOT PROPERTIES
    DESCRIPTION "Tool to draw directed graphs"
    URL "https://www.graphviz.org/"
    PURPOSE "Needed for parsing .dot files"
    TYPE RUNTIME
)

option(BUILD_GRAPHEDITOR "Build the graph editor app (WIP, not yet functional). [default=OFF]" OFF)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.0
)

add_subdirectory(src)

ki18n_install(po)

if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ecm_qt_install_logging_categories(
    EXPORT KGRAPHVIEWER
    FILE kgraphviewer.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kgraphviewer (4:25.08.2+p24.04+vunstable+git20251020.1247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:47:52 +0000

=== debian/control ===
Source: kgraphviewer
Section: utils
Priority: optional
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               kf6-kwidgetsaddons-dev,
               libboost-dev,
               libgraphviz-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-svg-dev
Homepage: https://www.kde.org/applications/graphics/kgraphviewer/
Standards-Version: 4.1.4
Vcs-Git: https://invent.kde.org/neon/extras/kgraphviewer.git
Vcs-Browser: https://invent.kde.org/neon/extras/kgraphviewer
Maintainer: Neon CI <neon@kde.org>

Package: kgraphviewer-dev
Architecture: any
Section: devel
Depends: kgraphviewer (= ${binary:Version}), qt6-base-dev, ${shlibs:Depends}
Breaks: libkgraphviewer-dev (<< 4:2.4.3)
Replaces: libkgraphviewer-dev (<< 4:2.4.3)
Description: GraphViz dot graph viewer - devel files
 KGraphViewer is a GraphViz dot graph viewer. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

Package: libkgraphviewer-dev
Architecture: all
Section: oldlibs
Depends: kgraphviewer-dev
Description: GraphViz dot graph viewer - transitional
 This is a dummy package and can be safely moved

Package: kgraphviewer
Architecture: any
Depends: graphviz, ${misc:Depends}, ${shlibs:Depends}
Description: GraphViz dot graph viewer
 KGraphViewer is a GraphViz dot graph viewer. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

Package: libkgraphviewer0
Architecture: any
Section: libs
Depends: kgraphviewer (= ${binary:Version}), ${shlibs:Depends}
Description: GraphViz dot graph viewer - libs
 KGraphViewer is a GraphViz dot graph viewer for. The graphviz program
 suite is a free software set of layout engines for graphs. They are commonly
 used in scientific domains and particularly in computer science. But until
 now there was a lack of a GUI to look at the graphs. Programs provided with
 GraphViz are: I feel, out of date X11, or Tcl/Tk applications with few
 Functionalities. KGraphViewer is aimed at replacing these tools with a modern
 user-friendly GUI will all the power of a well integrated KDE application.

## kgraphviewer 25.08.3

=== debian/changelog ===
kgraphviewer (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:14:37 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## kgraphviewer 25.08.3+p24.04+vunstable+git20251204.0612

=== debian/changelog ===
kgraphviewer (4:25.08.3+p24.04+vunstable+git20251204.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:12:03 +0000

kgraphviewer (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:47:02 +1000

## kgraphviewer 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KGRAPHVIEWER_BASE_VERSION once new features are added

=== debian/changelog ===
kgraphviewer (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:52:33 +0000

## kgraphviewer 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KGRAPHVIEWER_BASE_VERSION once new features are added

=== debian/changelog ===
kgraphviewer (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:05:38 +0000

## kgraphviewer 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KGRAPHVIEWER_BASE_VERSION once new features are added

=== debian/changelog ===
kgraphviewer (4:25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:55:39 +0000

kgraphviewer (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:43:39 +1000

## kgraphviewer 25.12.0+p24.04+vstable+git20251208.2225

=== debian/changelog ===
kgraphviewer (4:25.12.0+p24.04+vstable+git20251208.2225-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:25:25 +0000

## kgraphviewer 25.12.0+p24.04+vstable+git20251215.0403

=== debian/changelog ===
kgraphviewer (4:25.12.0+p24.04+vstable+git20251215.0403-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 04:03:03 +0000

## kgraphviewer 25.12.0+p24.04+vstable+git20251226.1213

=== debian/changelog ===
kgraphviewer (4:25.12.0+p24.04+vstable+git20251226.1213-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 12:13:36 +0000

## kgraphviewer 25.12.0+p24.04+vstable+git20260104.0022

=== debian/changelog ===
kgraphviewer (4:25.12.0+p24.04+vstable+git20260104.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 00:22:06 +0000

## kgraphviewer 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KGRAPHVIEWER_BASE_VERSION once new features are added

=== debian/changelog ===
kgraphviewer (4:25.12.1-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 01:56:49 +0000

kgraphviewer (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:35:39 +1000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               graphviz,
                kf6-extra-cmake-modules,
                kf6-kcoreaddons-dev,
                kf6-kdoctools-dev,
@@ -25,7 +26,10 @@
 Package: kgraphviewer-dev
 Architecture: any
 Section: devel
-Depends: kgraphviewer (= ${binary:Version}), qt6-base-dev, ${shlibs:Depends}
+Depends: kgraphviewer (= ${binary:Version}),
+         qt6-base-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libkgraphviewer-dev (<< 4:2.4.3)
 Replaces: libkgraphviewer-dev (<< 4:2.4.3)
 Description: GraphViz dot graph viewer - devel files
@@ -40,7 +44,7 @@
 Package: libkgraphviewer-dev
 Architecture: all
 Section: oldlibs
-Depends: kgraphviewer-dev
+Depends: kgraphviewer-dev, ${misc:Depends}
 Description: GraphViz dot graph viewer - transitional
  This is a dummy package and can be safely moved
 
@@ -59,7 +63,7 @@
 Package: libkgraphviewer0
 Architecture: any
 Section: libs
-Depends: kgraphviewer (= ${binary:Version}), ${shlibs:Depends}
+Depends: kgraphviewer (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: GraphViz dot graph viewer - libs
  KGraphViewer is a GraphViz dot graph viewer for. The graphviz program
  suite is a free software set of layout engines for graphs. They are commonly

## kgraphviewer 25.12.1+p24.04+vstable+git20260107.0257

=== debian/changelog ===
kgraphviewer (4:25.12.1+p24.04+vstable+git20260107.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 02:57:18 +0000

## kgraphviewer 25.12.1+p24.04+vstable+git20260128.0402

=== debian/changelog ===
kgraphviewer (4:25.12.1+p24.04+vstable+git20260128.0402-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:02:13 +0000

## kgraphviewer 25.12.1+p24.04+vstable+git20260131.0426

=== debian/changelog ===
kgraphviewer (4:25.12.1+p24.04+vstable+git20260131.0426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:26:52 +0000

## kgraphviewer 25.12.1+p24.04+vunstable+git20260131.0115

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KGRAPHVIEWER_BASE_VERSION once new features are added

=== debian/changelog ===
kgraphviewer (4:25.12.1+p24.04+vunstable+git20260131.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:15:35 +0000

## kgraphviewer 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KGRAPHVIEWER_BASE_VERSION once new features are added

=== debian/changelog ===
kgraphviewer (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:23:31 +0000

kgraphviewer (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:03:54 +0000

kgraphviewer (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:21:25 +0000
